<?php
function x_39($x_3k = Array()) { 
global $x_33; 
define('PERIOD_START', $x_3k['periodStart']); 
define('PERIOD_END', $x_3k['periodEnd']); 
define('TITLE', '<kerio:text id="tabCaption_traffic" />'); 
define('PROTOCOL_ID', $x_3k['protoId']); 
define('TOP_CATEGORIES', 5); 
define('TOP_PROTOCOLS', 5); 
define('TOP_WEBSITES', 5); 
define('TOP_USERS', 5); 
$x_ah = $x_33->x_4r(); 
$x_173 = new x_km('traffic', 
'traffic_icon_print.gif', 
TITLE, 
$x_3k['dateString']); 
$x_8b = new x_8c(); 
$x_173->x_ko = PROTOCOL_ID; 
if (0 == PROTOCOL_ID) { 
$x_7d = $x_8b->x_nj( PERIOD_START, 
PERIOD_END, 
$x_ah, 
true, 
240); 
$x_2d = Array( '&nbsp;', 
'<kerio:text id="lang_user" />', 
'<kerio:text id="in" /> [KB]', 
'<kerio:text id="out" /> [KB]', 
'<kerio:text id="lang_total" /> [KB]', 
'&nbsp;', 
'&nbsp;'); 
$x_kb = Array('number', 
'user', 
'data', 
'data', 
'dataTotal', 
'percentage', 
'progress'); 
} else { 
$x_7d = $x_8b->x_nf (PERIOD_START, 
PERIOD_END, 
PROTOCOL_ID, 
$x_ah, 
true, 
440); 
$x_kp = $x_8b->x_mg('PROTO_LIST', 
'PROTO_NAME', 
'WHERE PROTO_ID = ' . PROTOCOL_ID, 
$x_33->x_8f()); 
$x_kp = $x_kp[PROTOCOL_ID]['PROTO_NAME']; 
$x_173->x_kp = $x_kp; 
$x_2d = Array( '&nbsp;', 
'<kerio:text id="lang_user" />', 
'<kerio:text id="lang_total" /> [KB]', 
'&nbsp;', 
'&nbsp;'); 
$x_kb = Array('number', 
'user', 
'dataTotal', 
'percentage', 
'progress'); 
} 
$x_173->x_e0(Array($x_7d, $x_2d, $x_kb, 'class="trafficTable fullWidth"'), 1); 
return $x_173->x_lh(); 
} 
?>
